ECHO OFF
REM Loop through all mp3 files in current folder and generate
REM a Transcribe! script file to do something to each one.

REM The idea is, you put slowlist.cmd and slowone.cmd in the same folder
REM as your mp3 originals, set exportfolder (below) to the folder where
REM you want the output files, and set exporttype to wav or mp3 or
REM whatever.

REM If you exporttype=wav then this will work as Transcribe! can always
REM export wav files. If you want to exporttype=mp3 then you can but you
REM will need to have GStreamer installed - see
REM    https://www.seventhstring.com/resources/gstreamer.html
REM and you will need to select mp3 in Preferences - Export.

REM Then launch a Command Prompt (Start menu - Windows System), use the "cd"
REM command to change into the folder you are using, and run slowlist.cmd

REM The Transcribe! script file processmp3.xscscpt will appear in the current folder,
REM so launch Transcribe! and drag-n-drop processmp3.xscscpt onto it.

REM See: http://steve-jansen.github.io/guides/windows-batch-scripting/index.html

SETLOCAL ENABLEEXTENSIONS
SET me=%0
SET parent=%~dp0
SET xscscpt=processmp3.xscscpt
SET exportfolder=C:\Users\Andy\Documents\Temp1
SET exporttype=wav

echo # Transcribe! script for processing audio files, generated by %me% >%xscscpt%

for %%f in (*.mp3) do (
	echo ***** Doing file %%f *****
	echo # >>%xscscpt%
	REM Here we put a line for each different speed we want
	slowone.cmd  %xscscpt% "%parent%%%f" "%exportfolder%\%%~nf-50.%exporttype%"  0.5
	slowone.cmd  %xscscpt% "%parent%%%f" "%exportfolder%\%%~nf-70.%exporttype%"  0.7
	slowone.cmd  %xscscpt% "%parent%%%f" "%exportfolder%\%%~nf-90.%exporttype%"  0.9
	)
